package com.ssj.service.conch.teacher.v1.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class SeniorFeedbackDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private String id;

    private int total;

    private List<Integer> wrongList = new ArrayList<>();

    private List<Integer> notUsedList = new ArrayList<>();

    private int classLine;

    private int activity;

    private String teacherMsg;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public List<Integer> getWrongList() {
        return wrongList;
    }

    public void setWrongList(List<Integer> wrongList) {
        this.wrongList = wrongList;
    }

    public List<Integer> getNotUsedList() {
        return notUsedList;
    }

    public void addNotUsed (int i) {
        this.notUsedList.add(i);
    }

    public void setNotUsedList(List<Integer> notUsedList) {
        this.notUsedList = notUsedList;
    }

    public int getClassLine() {
        return classLine;
    }

    public void setClassLine(int classLine) {
        this.classLine = classLine;
    }

    public int getActivity() {
        return activity;
    }

    public void setActivity(int activity) {
        this.activity = activity;
    }

    public String getTeacherMsg() {
        return teacherMsg;
    }

    public void setTeacherMsg(String teacherMsg) {
        this.teacherMsg = teacherMsg;
    }
}
